<?xml version="1.0" encoding="UTF-8"?>      
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
COPYRIGHT NOTICE:
Copyright 2006 Center for Technology in Government.
The Center grants permission to use and modify this software code free of charge provided  
this copyright notice is included. By using this code you agree to indemnify the Center from 
any liability that might arise from its use. Selling the code is expressly forbidden.
-->
 <!-- This brings in the external XSL file that holds the top banner -->
<xsl:include href="elaborate_top.xsl"/>
<!-- Declare parameters that identifies which chapter to select from xml file -->
<xsl:param name="sub">directions</xsl:param>
<!--COMMENT This pulls in an external XML file that contains additional content for this Web page -->
<xsl:variable name="otherxml" select="document('elaborate_import.xml')"/>
<!-- Main Template: Match moderate_xml.xml file document root node, called "book" into html page tags -->
<xsl:template match="book">
<!-- Print DOCTYPE declaration at top of HTML document  -->	
<xsl:text disable-output-escaping="yes">
	<![CDATA[
		<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
		     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	]]>
</xsl:text>	
<html lang="en-US">
<!-- Set the Browser title, get exernal css stylesheet  --> 
 <head> 
  <title><xsl:value-of select="@label"/>: <xsl:value-of select="$sub"/></title>
 <!-- Bring in external CSS stylesheet -->
   <link title="Style" href="elaborate.css" type="text/css" rel="stylesheet"/>
 </head>
<!-- Create the Main Body of the HTML page  -->
 <body>
 <!-- This calls the template to display the banner in the included XSL file from above -->
<xsl:call-template name="banner"/> 
<!-- Create left navigation bar from chapter titles in moderate_xml.xml file using cascading style sheet and xsl -->
 <div id="left_themes">
  <h1 class="menu">
   <xsl:value-of select="title"/>       
  </h1>
  <!-- xsl:for-each reads through each chapter in xml file and selects the title for a menu item-->
   <xsl:for-each select="chapter">
    <xsl:variable name="label"><xsl:value-of select="@label"/></xsl:variable>
  <!-- compares chapter label attribute to sub parameter to determine if link should be inserted -->
    <xsl:choose>												
     <xsl:when test="@label=$sub">
      <span class="lftmenublack">
       <xsl:value-of select="title"/>
      </span>
     </xsl:when>	
     <xsl:otherwise>
      <span class="lftmenublack">
       <a href="about?sub={$label}">
        <xsl:value-of select="title"/>
       </a>	
      </span>				
     </xsl:otherwise>
    </xsl:choose>		
    <br /><br />
   </xsl:for-each>
 </div>			
<!-- START Main Content Section -->
 <div class="main">
 <!-- Selects only chapter that matches the sub parameters, in this case "mission" -->						
  <xsl:for-each select="chapter[@label=$sub]">
     <xsl:apply-templates select="title"/>
     <xsl:apply-templates select="para"/>
   </xsl:for-each>
<!-- This calls in the external XML file defined in the variable at the top of the file -->   
<xsl:for-each select="$otherxml//book">
<hr/>
     <xsl:apply-templates select="title"/>
     <xsl:apply-templates select="para"/>
   </xsl:for-each>     
 </div>
<!-- END Main Content Section -->
 </body>
</html>
</xsl:template>
<!-- END Main Template -->
<!-- Bring in external XSL stylesheet with common templates -->
<xsl:include href="generic.xsl"/>
</xsl:stylesheet>



